%define lib_major	0
%define libname         %mklibname %name %{lib_major}
%define libnamedev      %mklibname -d %name 

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME 3 help browser
Name:		yelp
Version:	3.6.2
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	yelp.png
URL:		http://live.gnome.org/Yelp
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.11
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.8
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(libexslt) >= 0.8.1
BuildRequires:	pkgconfig(liblzma) >= 4.9
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.5
BuildRequires:	pkgconfig(libxslt) >= 1.1.4
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.3.2
BuildRequires:	pkgconfig(yelp-xsl) >= 3.1.2
BuildRequires:	pkgconfig(folks)
BuildRequires:	libbzip2-devel
BuildRequires:	sed
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= 0.19.1
BuildRequires:	desktop-file-utils >= 0.19
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	itstool
Requires:	gnome-doc-utils >= 0.19.1
Requires:	yelp-xsl >= 3.1.2
Requires:	man

%description
Help browser for GNOME 3 which supports docbook documents, info and man.

%files -f %{name}.lang
%doc README TODO AUTHORS NEWS
%{_bindir}/*
%{_datadir}/applications/*
%dir %{_datadir}/gnome/help
%dir %{_datadir}/help
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/pixmaps/gnome-help.png
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %name
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains libraries used by the yelp help browser.

%files -n %libname
%{_libdir}/lib%{name}.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains header files and documentation for
the libraries in the yelp-libs package.

%files -n %{libnamedev}
%{_libdir}/lib%{name}.so
%{_includedir}/lib%{name}
%doc %{_datadir}/gtk-doc/html/lib%{name}

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-debug \
	--disable-schemas-compile \
	--disable-rpath \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# we don't want these
rm -rf %{buildroot}%{_libdir}/libyelp.la

desktop-file-install \
  --remove-category="Application" \
  --add-only-show-in="GNOME" \
  --add-category="Documentation" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -Dpm644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gnome-help.png

mkdir -p -m 755 %{buildroot}%{_datadir}/gnome/help
mkdir -p -m 755 %{buildroot}%{_datadir}/help

%find_lang %{name}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 387554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317329
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306717
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297246
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295511
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288027
- new version 3.5.91

  + fwang <fwang>
    - own helpdir

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285484
- new version 3.5.90

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235723
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231114
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226878
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224502
- new version 3.3.92

* Thu Feb 23 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 213551
- update file list
- update buildrequires
- new version

* Wed Feb 15 2012 ovitters <ovitters> 3.3.3-2.mga2
+ Revision: 209365
- remove desktop patch now that we have desktop-file-utils 0.19

* Tue Jan 17 2012 wally <wally> 3.3.3-1.mga2
+ Revision: 197431
- new version 3.3.3
- don't use autogen at build time

* Wed Dec 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 185469
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158620
- new version 3.3.1

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155874
- drop P6, applied upstream
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149058
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.4-1.mga2
+ Revision: 145815
- new version 3.1.4

* Tue Sep 06 2011 wally <wally> 3.1.3-2.mga2
+ Revision: 139604
- add more general provides to -devel pkg

* Tue Sep 06 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 139346
- new version 3.1.3

  + wally <wally>
    - new version 3.1.2
    - rediff the str fmt patch
    - add patch to fix .desktop file

* Sat Jul 09 2011 wally <wally> 3.1.1-1.mga2
+ Revision: 121153
- new version 3.1.1
- clean .spec a bit

* Mon Jun 27 2011 fwang <fwang> 3.0.4-1.mga2
+ Revision: 114313
- new version 3.0.4

* Wed Jun 22 2011 cjw <cjw> 3.0.3-3.mga2
+ Revision: 111777
- add missing dependency on yelp-xsl

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.3-2.mga2
+ Revision: 111740
- Fix descriptions

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.3-1.mga2
+ Revision: 110795
- Fix buildrequires
- Add gtk-doc as buildrequire
- New version
  Add lib and devel package

* Thu Jan 20 2011 blino <blino> 2.30.2-4.mga1
+ Revision: 25043
- remove old comment
- imported package yelp

